unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button4: TButton;
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button4Click(Sender: TObject);
var rek:TSearchRec;
    ile_plikow:integer;
    s: string;
begin
   GetDir(0,s);
   Label1.Caption:='';
   ile_plikow:=0;
   if FindFirst(s+'\pliki\*.jpg', faArchive, rek) = 0 then
   begin
      repeat
        //wyswietlenie wyszukanych nazw plikow
        Label1.Caption:=Label1.Caption+s+'\pliki\'+rek.Name+
                    '  '+IntToStr(rek.Size)+' bajtów'+#13;
        ile_plikow:=ile_plikow+1;
        //zmiana nazwy pliku
        RenameFile(s+'\pliki\'+rek.Name,s+'\pliki_nowe\obraz_'+Inttostr(ile_plikow)+'.jpg');
      until FindNext(rek) <> 0;
      FindClose(rek);
      Label1.Caption:=label1.Caption+'Liczba plików *.jpg wynosi '+InttoStr(ile_plikow);
   end;
end;

end.
